#ifndef IMAGEFRAME_H
#define IMAGEFRAME_H
#include <QImage>
#include <QFrame>

// cette classe représente un widget que l'on peut inclure sur l'interface
// pour afficher une image
class ImageFrame : public QFrame
{
private:
    //l'image à afficher
    QImage image;

public:
    //constructeur
    ImageFrame();

    // setter de l'image
    void set_image(QImage &image);

private slots:
    // ce slot est appelé à chaque fois que l'interface est redessinée
    void paintEvent(QPaintEvent *e);
};

#endif // IMAGEFRAME_H
